package com.ruoyi.system.domain.to;

import javax.validation.constraints.NotBlank;
import java.util.StringJoiner;

/**
 * @ClassName: AMapUpdatePolygonTo
 * @Author: 于学智
 * @Description: 高德地图更新多边形围栏TO
 * @CreateDate: 2023/9/14 16:19
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class AMapUpdatePolygonTo extends AMapBaseTo {

    /**
     * 多边形顶点坐标 格式 X1,Y1;X2,Y2; 必填
     */
    @NotBlank(message = "围栏中心点坐标禁止为空！")
    private String points;

    public String getPoints() {
        return points;
    }

    public void setPoints(String points) {
        this.points = points;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", AMapUpdatePolygonTo.class.getSimpleName() + "[", "]")
                .add("points='" + points + "'")
                .toString();
    }
}
